/**************************************************************************

    This file is part of cdplay, a cdplayer for fvwm95.
    Copyright (C) 1997 Rodolphe Suescun.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

**************************************************************************/

#ifndef __OCD_H
#define __OCD_H

#include <linux/cdrom.h>
#include "OMedium.h"

class OCd : public OMedium {
public:
  OCd();
  ~OCd();

  void ReadInfo();
  void Stop();
  void Pause();
  void Open(char * disc);
  void Close();

protected:
  int cdfile;
  void _Play(int track, int time);
};
      
#endif
